# 物流计费系统

d = {"01": (13, 3), "02": (12, 2), "03": [14, 4]}
area = input("请输入地区编号: ")
weight = 0
while True:
    try:
        weight = int(input("请输入重量(kg): "))
        break
    except ValueError:
        print("请输入整数...")
if area not in d:
    print("地区编号不正确，请输入正确的地区编号")
else:
    (p1, p2) = d[area]
    if weight < 2:
        weight = 2
    print("价格是: " + str(p1 + (weight - 2) * p2))
